//
//  WPPosterViewController.m
//  testQP
//
//  Created by salvatore iaconesi on 8/23/11.
//  Copyright 2011 AOS. All rights reserved.
//

#import "WPPosterViewController.h"


@implementation WPPosterViewController

@synthesize titleLabel,titleTextField, bodyLabel,bodyTextField;
@synthesize saveButton;


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [saveButton release];
    [titleTextField release];
    [titleLabel release];
    [bodyLabel release];
    [bodyTextField release];
    [mainView release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView
{
    
    CGRect scrsize = [[UIScreen mainScreen] applicationFrame];
    
    mainView = [[UIView alloc] initWithFrame:scrsize];
    
    titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 0, scrsize.size.width, 20)];
    titleLabel.text = @"Title";
   
    titleTextField = [[UITextField alloc] initWithFrame:CGRectMake(0, 25, scrsize.size.width, 20)];
    
    
    
    bodyLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 60, scrsize.size.width, 20)];
    bodyLabel.text = @"Content";
    
    bodyTextField = [[UITextField alloc] initWithFrame:CGRectMake(0, 85, scrsize.size.width, 20)];
    
    
    saveButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    saveButton.frame = CGRectMake(0, 125, scrsize.size.width, 25); 
    [saveButton setTitle:@"Save!" forState:UIControlStateNormal];
    
    [self setView:mainView];
    [mainView addSubview:titleLabel];
    [mainView addSubview:titleTextField];
    [mainView addSubview:bodyLabel];
    [mainView addSubview:bodyTextField];
    [mainView addSubview:saveButton];
    
    
    [saveButton addTarget:self action:@selector(doSave:) forControlEvents:UIControlEventTouchUpInside];
    
}


-(void) doSave:(id)sender
{
    
    NSURL *url = [NSURL URLWithString:@"http://www.yourdomain.com/savePost.php"];
    ASIFormDataRequest *request = [ASIFormDataRequest requestWithURL:url];
    [request setPostValue:[titleTextField text] forKey:@"post-title"];
    [request setPostValue:[bodyTextField text] forKey:@"post-body"];
    
    [request startAsynchronous];
    
}


- (void)requestFinished:(ASIHTTPRequest *)request
{
    // Use when fetching text data
    NSString *responseString = [request responseString];
    
    // Use when fetching binary data
    //NSData *responseData = [request responseData];
    NSLog(@"success:%@",responseString);
}

- (void)requestFailed:(ASIHTTPRequest *)request
{
    NSError *error = [request error];
    NSLog(@"Error:%@",[error localizedFailureReason]);
}



/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
